您可以使用重置连接器选择按钮将 Workspace ONE Access 服务恢复为某种状态,以允许将选择的连接器从 21.08 Connector 更改为旧版 19.03.x 或更早版本的连接器,反之亦然。Workspace ONE Access 服务不支持在同一租户或内部部署实例上同时使用两个版本的连接器。

21.08 Connector 包括新的目录同步、用户身份验证、Kerberos 身份验证和虚拟应用程序服务,但它不支持虚拟应用程序与 ThinApp、Horizon Cloud Service on IBM Cloud 以及具有单容器代理的 Horizon Cloud Service on Microsoft Azure 的集成。如果要集成 Horizon Cloud Service on IBM Cloud 或具有单容器代理的 Horizon Cloud Service on Microsoft Azure,您必须使用 19.03.0.1 Connector。如果要集成ThinApp打包的应用程序,您必须使用 VMware Identity Manager Connector (Linux) 版本 3.3。

在新的或已升级的服务实例中,当您首次单击“身份和访问管理”>“设置”>“连接器”页面或“旧版连接器”页面中的新建时,可选择要使用的连接器类型。在进行选择时,将相应地设置服务状态以使用 21.08 Connector 或旧版连接器。将显示相应的“连接器”页面,该页面将指导您安装该版本的连接器。

如果要随后更改选择的连接器,您可以使用重置连接器选择按钮。请注意,并非在所有情况下都可以重置该选项。重置选项的功能取决于系统的当前状态。例如,如果已创建目录或已迁移现有目录,则无法重置连接器选项。将显示相应的错误消息,其中提供了更多详细信息。

过程

  1. 导航到身份和访问管理 > 设置 > 连接器旧版连接器页面。
  2. 单击重置连接器选择按钮。

    “连接器”页面显示“重置连接器选择”按钮。
  3. 查看确认对话框中的信息,然后单击继续

    显示“重置连接器选择”确认对话框。
    将重置选择的连接器。您现在可以单击 新建以选择 21.08 Connector 或旧版连接器。如果迁移或安装的当前状态不允许重置连接器选择选项,则会显示一条错误消息。
  4. 单击新建
    将显示“选择连接器”对话框。
  5. 进行选择,然后单击确定

下一步做什么

继续迁移或安装。